Package twisted :: Package tap :: Module ftp :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`str` | `longdesc` = `''`
`list` | `optParameters` = `[['port', 'p', '2121', 'set the port num...`
`str` | `synopsis` = `'Usage: mktap ftp [options].\n WARNING: Th...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Class Variable Details

### longdesc

  Type:
    `str`
  Value:

        ''

### optParameters

  Type:
    `list`
  Value:

        [['port', 'p', '2121', 'set the port number'],
         ['root', 'r', '/usr/local/ftp', 'define the root of the ftp-site.'],
         ['userAnonymous', '', 'anonymous', 'Name of the anonymous user.']]

### synopsis

  Type:
    `str`
  Value:

        '''Usage: mktap ftp [options].
            WARNING: This FTP server is probably INSECURE do not use it.
            '''

Generated by Epydoc 2.0 on Sat May 15 20:08:39 2004 | http://epydoc.sf.net